import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/default_button.dart';

class UserAgreementDialog extends StatelessWidget {
  const UserAgreementDialog({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      elevation: 40,
      title: const Text('User Agreement'),
      content:
          const Text('By using this app you agree to the terms and conditions'),
      actions: [
        DefaultButton(
          child: const Text(
            'Login',
          ),
          onPressed: () {
            Navigator.of(context).pop();
          },
        ),
        DefaultButton(
          onPressed: () => Navigator.of(context).pop(),
          isSecondary: true,
          child: const Text(
            'Cancel',
          ),
        ),
      ],
    );
  }
}
